%define upstream_name    MetaCPAN-Client
%define upstream_version 1.013000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Distribution data object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MetaCPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Search::Elasticsearch) >= 1.100.0
BuildRequires: perl(Search::Elasticsearch::Scroll)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a hopefully-complete API-compliant client to MetaCPAN (the
https://metacpan.org manpage) with DWIM capabilities, to make your life
easier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.13.0-3.mga6
+ Revision: 1029883
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.13.0-2.mga6
+ Revision: 968476
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 1.13.0-1.mga6
+ Revision: 852499
- update to 1.013000

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-3.mga5
+ Revision: 740575
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-2.mga5
+ Revision: 685397
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 1.6.0-1.mga5
+ Revision: 640005
- update to 1.006000

* Fri Jun 06 2014 jquelin <jquelin> 1.4.1-1.mga5
+ Revision: 634152
- imported package perl-MetaCPAN-Client


* Fri Jun 06 2014 cpan2dist 1.004001-1mga
- initial mageia release, generated with cpan2dist
